Skala
Contacts

Replace a contact

Completely replaces the data of an existing contact with the provided payload.

PUT
/api/contacts/{id}

Completely replaces the data of an existing contact with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Contact identifier

Request Body

application/json

The updated Contact resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/contacts/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": 0,
  "name": "string",
  "email": "string",
  "phoneNumber": "string",
  "comment": "string",
  "type": "string",
  "address": {
    "id": 0,
    "country": {
      "id": 0,
      "name": "string"
    },
    "body": "string"
  },
  "code": "string",
  "discountRate": "string",
  "taxOffice": "string",
  "taxId": "string"
}
Empty
Empty
Empty